Subject: RE: [newtrk] some questions about WGSs

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Mon, 22 Mar 2004 13:45:34 +0100

> Let me try to rephrase (but not change) the definition I read 
> in Scott's original
> proposal, with the goal of making the definition simple and 
> positive; it
> leaves out qualifiers and other references:
> 
> 
> SB>  a Working group Snapshot is a way for a Working Group
> SB> [...] to anoint a particular
>     [Internet Draft].
> 
>     
> This does not declare a purpose and it does not say anything 
> about RFCs
> or standards track.  It defines a labeling technique for 
> working groups
> to use on internet drafts.
> 
> d/

This is how I have envisioned a WGS, a new label for WG's to
put on ID's. This way, WGS becomes the "WG tool" people have
been asking for, while being a small evolutionary addition
that we can easily introduce and play with to figure out how
to best make use of it. 

Yes to both of Scott's questions (ID=assuming WGS=non-RFC)!

/L-E

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: <[email-masked]>
Date: Thu, 25 Mar 2004 06:14:12 +0200

Hi Kurt,

> >How do the chairs communicate this information outside of the WG?
> 
> They can use the same means as I noted above.
> 
> >Not everyone who is interested in the output of a WG is on the
> >WG.
> 
> The chair need not restrict his e-mail to the WG list, and
> certainly the WG's external website is not restricted to
> those on the WG list.

Well, I imagine that chairs good do the above, but the above would
not be 'sanctioned' by the IETF, and we'd have 30 to 50 different
ways to do this, each WG chair having their own ways of detailing
this.
 
> >Usually, some vendor implements a protocol & sells it to
> >a customer.  If the protocol is still a draft, how does the customer
> >know what version of the draft is stable, even just for a test bed?
> 
> No draft is stable (even those in the RFC Editor queue are subject
> to change (or can be returned for further work).

Without a doubt, but the fact is, people are implementing drafts.  If
we want to have meaningful interoperability events, it is usually
good to put a line in the sand and say verion 13 is stable.

> >This becomes more critical for protocols that take 2 or more years
> >to get to RFC status.
> 
> Which is actually pretty quick all considering.
> 
> BTW, how do individuals produce WGS?

Well, I think we'd need to invent something like a IS - Individiual Snapshot,
but I wouldn't go there.

John

.

---

From: [email-masked] (Scott Bradner)
Date: Fri, 26 Mar 2004 08:20:36 -0500 (EST)

fwiw - I've resubmitted my ID from last June which (I think) is the
1st place that the idea of someting like a WGS was proposed (in the IETF)

in that document I saw the WGS as a step in the stds track and (as Brian
requests) removed another of the current steps to compensate

I'm not republishing this ID to say that its "the right way" but to
add more ideas to the disucssion

it should show up soon in an ID repository near you - if you want to
look at it before than google for draft-bradner-ietf-stds-trk-00.txt

Scott
.

---

From: <[email-masked]>
Date: Mon, 29 Mar 2004 16:30:40 +0300

Spencer,

> > WG.  Usually, some vendor implements a protocol & sells it to
> > to get to RFC status.  I'm sure Spencer can pipe in with some
> > real-life examples of this.
> 
> Just as background here, and I'm speaking only for myself - my "IETF
> sponsor" makes probe-based network monitor equipment, and we add
> support for IETF protocols when we have customer requests for them (no
> surprise there), so it's not unusual for us to support (in one case
> that came up yesterday) versions 2, 3, 5, and 7 of the same draft.
> 
> No problem for us - we don't transmit anything, right? we may not
> decode version 4 correctly, but we won't break anything - but the two
> things I can't get out of my head are:
> 
> - we don't get requests to support a specific ID version unless
> someone is deploying a product that uses that specific version in a
> live network, and
> 
> - it's possible that someone worried about compatibility between
> versions 2, 3, 5, and 7 of this draft, but I kind of doubt it.
> 
> We prefer to implement RFCs, but this particular protocol had its
> first draft in November 2000. We saw its first deployment (version 2)
> sometime after March 2001, and other deployed versions after July
> 2001, May 2002, and January 2003, so waiting for an RFC wasn't
> realistic for the vendors who were shipping network products we
> monitor. So, we followed the network element vendors, so our customers
> could monitor their networks.

So, this leads me to think that folks will deploy something because
they need to.  The longer we take to produce a standard, the more likely
people will deploy internet drafts.  I think that WGS may help here - 
at least giving us back a little more control in suggesting what
gets implemented, etc.

John
 
> To be very clear - we don't mind supporting multiple variants of a
> draft. We can charge for custom development, and requiring a huge code
> base for protocol support is a barrier to entry for our competitors.
> So please don't hear my note as "we don't want to develop these
> variants".
> 
> We've been talking about Mobile IPv6, but this one's a little scarier
> to me, because people don't ask us for probe support protocols in
> their labs - they use network protocol analyzers there. They ask us to
> support protocols they deployed throughout their production networks.
> We (the IETF, and my IETF sponsor) recommend against that, but if it
> takes four years to get to the first stable RFC, we don't really have
> anything to offer as an alternative.

.